package com.zsc.edu.dify.exception;

import org.springframework.stereotype.Component;

import java.util.function.Supplier;

@Component
public class ExceptionUtil {

    public static <T> T difyException(Supplier<T> supplier) throws ApiException {
        try {
            return supplier.get();
        } catch (RuntimeException e) {
            System.err.println(e.getMessage());
            throw new ApiException("服务器错误，请联系工作人员！");
        }
    }

    public static <T> T difyNotFoundException(Supplier<T> supplier) throws ApiException {
        try {
            return supplier.get();
        } catch (RuntimeException e) {
            System.err.println(e.getMessage());
            throw new ApiException("数据不存在，请检查传递参数是否错误！");
        }
    }
}
